package com.neusoft.smart.pos.card.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class Card implements Serializable {
    private Integer cardId;

    private Integer cardType;

    private String cardNum;

    private String cardAnotherId;

    private String cardOtherId;

    private String cardPassword;

    private Integer cardPoint;

    private Long cardBalance;

    private String cardImage;

    private String beanName;

    private Integer isActive;

    private String content;

    private Integer version;

    private Date createdTime;

    private String createdBy;

    private Date updatedTime;

    private String updatedBy;

    private Long lastRechargeAmount;

    private String needPassword;

    private static final long serialVersionUID = 1L;

    public Integer getCardId() {
        return cardId;
    }

    public void setCardId(Integer cardId) {
        this.cardId = cardId;
    }

    public Integer getCardType() {
        return cardType;
    }

    public void setCardType(Integer cardType) {
        this.cardType = cardType;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum == null ? null : cardNum.trim();
    }

    public String getCardAnotherId() {
        return cardAnotherId;
    }

    public void setCardAnotherId(String cardAnotherId) {
        this.cardAnotherId = cardAnotherId == null ? null : cardAnotherId.trim();
    }

    public String getCardOtherId() {
        return cardOtherId;
    }

    public void setCardOtherId(String cardOtherId) {
        this.cardOtherId = cardOtherId == null ? null : cardOtherId.trim();
    }

    public String getCardPassword() {
        return cardPassword;
    }

    public void setCardPassword(String cardPassword) {
        this.cardPassword = cardPassword == null ? null : cardPassword.trim();
    }

    public Integer getCardPoint() {
        return cardPoint;
    }

    public void setCardPoint(Integer cardPoint) {
        this.cardPoint = cardPoint;
    }

    public Long getCardBalance() {
        return cardBalance;
    }

    public void setCardBalance(Long cardBalance) {
        this.cardBalance = cardBalance;
    }

    public String getCardImage() {
        return cardImage;
    }

    public void setCardImage(String cardImage) {
        this.cardImage = cardImage == null ? null : cardImage.trim();
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName == null ? null : beanName.trim();
    }

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Long getLastRechargeAmount() {
        return lastRechargeAmount;
    }

    public void setLastRechargeAmount(Long lastRechargeAmount) {
        this.lastRechargeAmount = lastRechargeAmount;
    }

    public String getNeedPassword() {
        return needPassword;
    }

    public void setNeedPassword(String needPassword) {
        this.needPassword = needPassword == null ? null : needPassword.trim();
    }
}